#!/bin/sh -efu

## setup automated graphical session startup

. install2-init-functions

INITTAB="$destdir"/etc/inittab
if [ -f "$INITTAB" ]; then
	sed -i "s,^\(id:\)\(.*\)\(:initdefault.*\),\\15\\3," "$INITTAB"
fi

TARGET=/lib/systemd/system/graphical.target
DEFAULT_TARGET=/etc/systemd/system/default.target
if [ -s "$TARGET" ]; then
        rm -f "$destdir""$DEFAULT_TARGET"
        ln -s "$TARGET" "$destdir""$DEFAULT_TARGET"
fi
